define("slmdx/form/UrlTextBox", [
  "dojo/_base/declare",
  "./TextBoxButton"
], function (declare, TextBoxButton) {
  return declare(TextBoxButton, {
    actionIconType: "Link",
    actionIconClass: "icon icon-info",
    hasAction: true,
	webSiteScriptUrl: "",

    _isValueValid: function(/*String */ value) {
      return value ? true : false;
    },

    postCreate: function(){
      this._setButtonDisabledAttr( !this._isValueValid(this.get('value')) );
      this.inherited(arguments);
    },

    _onInput: function(){
      this.inherited(arguments);
      this._setButtonDisabledAttr( !this._isValueValid(this.get('value')) );
    },

    _doExecuteAction: function(/*String*/ value){
      if (!this.buttonEnabled) return
	  eval(this.webSiteScriptUrl);
    }
  });
});
